$dt = Get-Variable -Name DateTimeReceived -ValueOnly
$eml = Get-Variable -Name emlfile -ValueOnly
$from = Get-Variable -Name From -ValueOnly
$subject = Get-Variable -Name subject -ValueOnly
$project = Get-Variable -Name taskname -ValueOnly
$displayto = Get-Variable -Name displayto -ValueOnly
$cat = Get-Variable -Name categories -ValueOnly
$Kategorie=" "
foreach($c in  $cat )
{
  $Kategorie = $Kategorie + $c + ","
}
$Kategorie = $Kategorie.TrimEnd(",")
$exportpath = Get-Variable -Name exportpath -ValueOnly
$dtstr = $dt.tostring("yyMMdd HHmm")
$filedatetime = $dt.tostring("yyMMdd HHmm")
$path=$exportpath+"\"+$project+" "+$dtstr+" "+$displayto+$Kategorie
if (!(Test-Path $path)) 
{
  mkdir $path
}
[System.IO.Path]::GetinvalidFileNameChars() | ForEach-Object {$subject = $subject.Replace($_," ")}
$newfilename =  $path + '\' + $subject +"_"+$filedatetime+'.eml' 
mv $eml $newfilename